package asd.graphe;

/**
 * Une classe pour les arêtes d'un graphe non orienté.
 * Toutes les méthodes sont en O(1).
 * (voir le <a href="../../../html/Arete.html">source</a>).
 * @author © 2002 Marc Gaëtano
 * @version 3.0 (26/09/02)
 */
public class Arete {

    private int i;    // l'origine de l'arête
    private int j;    // l'extrémité de l'arête

    /**
     * Construit une arête d'origine i et d'extrémité j.
     */
    public Arete(int i, int j) {
        this.i = i;
        this.j = j;
    }

    /** 
     * Retourne l'origine de l'arête.
     */
    public int origine() {
        return i;
    }

    /** 
     * Retourne l'extremite de l'arête.
     */
    public int extremite() {
        return j;
    }

    public String toString() {
        return "(" + i + "," + j + ")";
    }
}
