package asd.graphe;

/**
 * Une classe pour les arêtes valuées d'un graphe non orienté.
 * Toutes les méthodes sont en O(1).
 * (voir le <a href="../../../html/AreteValuee.html">source</a>).
 * @author © 2005 Marc Gaëtano
 * @version 1.0 (2/05/05)
 */
public class AreteValuee extends Arete {

    private int v;    // la valuation de l'arête

    /**
     * Construit une arête d'origine i, d'extrémité j
     * de valuation v.
     */
    public AreteValuee(int i, int j, int v) {
        super(i,j);
        this.v = v;
    }

    /** 
     * Retourne la valuation de l'arête.
     */
    public int valuation() {
        return v;
    }

    public String toString() {
        return origine() + "-" + v + "->" + extremite();
    }
}
