package asd.graphe;

/**
 * Une interface pour dcrire les fonctionnalits des graphes orients ou non.
 * (voir le <a href="../../../html/Graphe.html">source</a>).
 * @author  2005 Marc Gatano
 */
public interface Graphe {

    /**
     * Retourne le nombre de sommets du graphe.
     */
    public int ordre();

    /**
     * Ajoute l'arte ou l'arc (i,j) au graphe.
     * Prcondition : il n'existe pas d'arte ou d'arc (i,j).
     */
    public void connecter(int i, int j);

    /**
     * Supprime l'arte ou l'arc (i,j) au graphe.
     * Prcondition : l'arte ou d'arc (i,j) existe.
     */
    public void deconnecter(int i, int j);

    /**
     * Retourne l'ensemble des sommets adjacents du sommet i.
     */
    public Adjacents adjacents(int i);
}
